Удалить корицу & amp; Немо полностью

Вчера я установил cinnamon и nemo, но мне не понравилось (не спрашивайте меня, почему).

Я сейчас использую Unity, и у меня нет причин удалять корицу, но теперь, когда я запускаю nautilus из терминала, я получаю эту ошибку:

Initializing nautilus-dropbox 1.4.0

Nautilus-Share-Message: Called "net usershare info" but it failed: 'net usershare'
returned error 255: info_fn: file /var/lib/samba/usershares/files is not a
well formed usershare file.

info_fn: Error was Path is not a directory.

Это первый раз, когда я вижу эту ошибку, и я думаю, что удаление корицы & amp; Немо решит проблему (но я все равно хочу ее убрать).

Итак, sudo apt-get autoremove cinnamon nemo показывает, что будет освобождено только ~ 7 МБ, а было загружено ~ 70 МБ. Где остальное пространство? И как мне решить эту проблему с наутилусом?

0
задан 15.04.2020, 11:03

1 ответ

У Cinnamon и Nemo есть несколько зависимостей, которые используют другие пакеты, которые вы, возможно, установили:

apt-cache depends cinnamon nemo
cinnamon
  Depends: gir1.2-clutter-1.0
  Depends: gir1.2-glib-2.0
  Depends: gir1.2-gmenu-3.0
  Depends: gir1.2-gtk-3.0
  Depends: gir1.2-muffin-3.0
  Depends: gir1.2-networkmanager-1.0
  Depends: gir1.2-soup-2.4
  Depends: libatk1.0-0
  Depends: libc6
  Depends: libcairo2
  Depends: libcanberra0
  Depends: libclutter-1.0-0
  Depends: libcogl-pango12
  Depends: libcogl12
  Depends: libcroco3
  Depends: libdbus-glib-1-2
  Depends: libgdk-pixbuf2.0-0
  Depends: libgirepository-1.0-1
  Depends: <libgjs0-libmozjs185-1.0>
    libgjs0c
  Depends: libgjs0c
 |Depends: libgl1-mesa-glx
  Depends: <libgl1>
    libgl1-mesa-glx
  Depends: libglib2.0-0
  Depends: libgnome-desktop-3-4
  Depends: libgnome-keyring0
  Depends: libgnome-menu-3-0
  Depends: libgstreamer0.10-0
  Depends: libgtk-3-0
  Depends: libjson-glib-1.0-0
  Depends: libmozjs185-1.0
  Depends: libmuffin0
  Depends: libnm-glib4
  Depends: libnm-util2
  Depends: libpango1.0-0
  Depends: libpolkit-agent-1-0
  Depends: libpolkit-gobject-1-0
  Depends: libpulse-mainloop-glib0
  Depends: libpulse0
  Depends: libstartup-notification0
  Depends: libx11-6
  Depends: libxfixes3
  Depends: libxml2
 |Depends: dconf-gsettings-backend
  Depends: <gsettings-backend>
    dconf-gsettings-backend
  Depends: gconf2
    gconf2:i386
  Depends: python
  Depends: cinnamon-common
  Depends: gnome-session-bin
  Depends: gjs
  Depends: gnome-settings-daemon
  Depends: gsettings-desktop-schemas
  Depends: gnome-icon-theme-symbolic
  Depends: gkbd-capplet
  Depends: gir1.2-accountsservice-1.0
  Depends: gir1.2-gconf-2.0
  Depends: gir1.2-gkbd-3.0
  Depends: gir1.2-gnomebluetooth-1.0
  Depends: gir1.2-gnomedesktop-3.0
  Depends: gir1.2-cogl-1.0
  Depends: gir1.2-gdkpixbuf-2.0
  Depends: gir1.2-pango-1.0
  Depends: gir1.2-polkit-1.0
  Depends: gir1.2-upowerglib-1.0
  Depends: gir1.2-caribou-1.0
  Depends: gir1.2-javascriptcoregtk-3.0
  Depends: gir1.2-webkit-3.0
  Depends: libjs-jquery
  Depends: python-gconf
  Depends: python-lxml
  Depends: python-dbus
  Depends: python-imaging
  Depends: python-pyinotify
  Depends: mesa-utils
  PreDepends: multiarch-support
    multiarch-support:i386
  Recommends: gnome-control-center
  Breaks: gnome-control-center
  Breaks: gnome-control-center:i386
  Conflicts: cinnamon:i386
nemo
  Depends: desktop-file-utils
    desktop-file-utils:i386
  Depends: gsettings-desktop-schemas
  Depends: gvfs
  Depends: libglib2.0-data
  Depends: nemo-data
  Depends: shared-mime-info
    shared-mime-info:i386
  Depends: libatk1.0-0
  Depends: libc6
  Depends: libcairo-gobject2
  Depends: libcairo2
  Depends: libexempi3
  Depends: libexif12
  Depends: libgail-3-0
  Depends: libgdk-pixbuf2.0-0
  Depends: libglib2.0-0
  Depends: libgnome-desktop-3-4
  Depends: libgtk-3-0
  Depends: libnemo-extension1
  Depends: libnotify4
  Depends: libpango1.0-0
  Depends: libx11-6
  Depends: libxml2
  Suggests: eog
 |Suggests: evince
  Suggests: <pdf-viewer>
    acroread-bin:i386
    okular
    epdfview
    evince
    evince-gtk
    gv
    viewpdf.app
    xpdf
    zathura
 |Suggests: totem
  Suggests: <mp3-decoder>
    mpg123
    mpg321
    opencubicplayer
    vlc
    vlc-nox
  Suggests: xdg-user-dirs
  Recommends: eject
    eject:i386
  Recommends: gvfs-backends
    gvfs-backends:i386
  Recommends: librsvg2-common
  Recommends: <nemo-fileroller>
  Conflicts: nemo:i386

Таким образом, чтобы удалить их, вы должны удалить их один за другим, проверяя, что ни у каких других пакетов нет явной зависимости из них. Неявными зависимостями являются Рекомендации и Предложения .

Об ошибке может быть то, что вы (или Cinnamon / Nemo) поделились каталогом, который он не может открыть, и теперь вы видите эту «ошибку». Решение состоит в том, чтобы найти какой каталог это переименовать или просто удалить общий доступ, как указано здесь .

1
ответ дан 15.04.2020, 11:03

Теги

Похожие вопросы